Subject: bug#16057: Non-parallel test suite API changes in 1.13

From: Behdad Esfahbod <[email-masked]>
Date: Thu, 05 Dec 2013 17:38:20 -0500

On 13-12-05 05:28 PM, Stefano Lattarini wrote:
> Why not? 1.13 is almost one year old now...

Why not?  Because I don't require any feature new in 1.13, yet it breaks my
package.  Also because it's in no long-term-support distro like Ubuntu 12.04.
I personally installed 1.13 and released a tarball with it, just to discover
that travis-ci.org, our automated continuous-build server, doesn't have
automake 1.13.  So now I have to patch that system, and ask all my developer /
testers to install automake 1.13.  All these not even because we use any
feature new in 1.13...

At least to allow fixing similar issues in the future, make AM_INIT_AUTOMAKE
warn about unknown options but not err.

-- 
behdad
http://behdad.org/